Welcome to the Rulebook Company API

The Rulebook Company API provides read-only access to comprehensive exchange fee schedule and rebate data across multiple US trading venues. Query historical and current fee schedules, filter by exchange, fee type, participant, action, and more.
Get API Access — Contact our sales team at sales@rulebook.company or visit our website to obtain your API access key.

Base URL

All API requests should be made to:
https://api.rulebook.company/api/v1

Authentication

All endpoints require an API access key in the x-rulebook-api-access-key header:
curl https://api.rulebook.company/api/v1/exchanges \
  -H "x-rulebook-api-access-key: YOUR_API_KEY"
Learn more in the Authentication section.

API Overview

The API is organized into two resource groups. All endpoints are GET requests that return JSON.

Exchanges

Discover what exchanges and filter values are available to your account.

Fee Schedule Results

Query, filter, and retrieve extracted fee schedule line items.

Typical Workflow

1

Discover exchanges

Call List Exchanges to see what exchanges you have access to.
2

Explore an exchange

Call Get Exchange Details to see all available filter values (fee types, categories, actions, participants, etc.) and the date range of data.
3

Query fee data

Call List Fee Schedule Results with your chosen filters. Use latest_only=true to get only the most current fee data.
4

Paginate through results

Use page_number and page_size to iterate through large result sets.

Data Coverage

  • Fee Types: Options and Equity trading fees
  • Fee Categories: Fee And Rebates, Legal Regulatory Fees, Market Data Fees, Participant Fees, Port Fees And Other Services
  • Actions: Make, Take, Open, Routed, Other
  • Participants: Market Makers, Broker Dealers, Customers, Firms, and more
  • Symbol Classifications: ETF, ETN, Equity, Index
  • Symbol Types: Penny, Non Penny

Rate Limits

Rate limits are applied per API key. Contact sales for information about rate limits for your plan.

Support